package cn.com.countrygarden.bi.main.dto;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import cn.com.countrygarden.bi.main.model.review.ReviewQuestionnaire;

public class ReviewQuestionnaireParamVo implements Serializable{
	 private static final long serialVersionUID = 1L;
	 	private Integer id;
	    /**
	     * 问卷名称
	     */
	
	    private String name;
	    /**
	     * 问卷描述
	     */
	
	    private String described;
	    /**
	     * 标识字段（0:false，1:true）
	     */
	 
	    private Integer flag;
	    /**
	     * 创建人
	     */
	 
	    private String createBy;
	    /**
	     * 创建时间
	     */
	    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	    private Date createTime;
	    /**
	     * 修改人
	     */
	 
	    private String updateBy;
	    /**
	     * 修改时间
	     */
	    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	    private Date updateTime;
	    
	   /**
	    * 正在进行中的人数
	    */
	    private Integer underWay;
	    /**
	     * 全部人数
	     */
	 	private Integer total;
		public Integer getId() {
			return id;
		}
		public void setId(Integer id) {
			this.id = id;
		}
		public String getName() {
			return name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public String getDescribed() {
			return described;
		}
		public void setDescribed(String described) {
			this.described = described;
		}
		public Integer getFlag() {
			return flag;
		}
		public void setFlag(Integer flag) {
			this.flag = flag;
		}
		public String getCreateBy() {
			return createBy;
		}
		public void setCreateBy(String createBy) {
			this.createBy = createBy;
		}
		public Date getCreateTime() {
			return createTime;
		}
		public void setCreateTime(Date createTime) {
			this.createTime = createTime;
		}
		public String getUpdateBy() {
			return updateBy;
		}
		public void setUpdateBy(String updateBy) {
			this.updateBy = updateBy;
		}
		public Date getUpdateTime() {
			return updateTime;
		}
		public void setUpdateTime(Date updateTime) {
			this.updateTime = updateTime;
		}
		public Integer getUnderWay() {
			return underWay;
		}
		public void setUnderWay(Integer underWay) {
			this.underWay = underWay;
		}
		public Integer getTotal() {
			return total;
		}
		public void setTotal(Integer total) {
			this.total = total;
		}
	 	
	 	
}
